My Project

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Typedefs Groups Pages
Public Member Functions | List of all members
NexNumber Class Reference
Nextion Component

`#include <NexNumber.h>`

Inheritance diagram for NexNumber:

## Public Member Functions
| NexNumber (uint8_t pid, uint8_t cid, const char *name)
bool | getValue (uint32_t *number)
bool | setValue (uint32_t number)
uint32_t | Get_background_color_bco (uint32_t *number)
bool | Set_background_color_bco (uint32_t number)
uint32_t | Get_font_color_pco (uint32_t *number)
bool | Set_font_color_pco (uint32_t number)
uint32_t | Get_place_xcen (uint32_t *number)
bool | Set_place_xcen (uint32_t number)
uint32_t | Get_place_ycen (uint32_t *number)
bool | Set_place_ycen (uint32_t number)
uint32_t | getFont (uint32_t *number)
bool | setFont (uint32_t number)
uint32_t | Get_number_lenth (uint32_t *number)
bool | Set_number_lenth (uint32_t number)
uint32_t | Get_background_crop_picc (uint32_t *number)
bool | Set_background_crop_picc (uint32_t number)
uint32_t | Get_background_image_pic (uint32_t *number)
bool | Set_background_image_pic (uint32_t number)
Public Member Functions inherited from NexTouch
| NexTouch (uint8_t pid, uint8_t cid, const char *name)
void | attachPush (NexTouchEventCb push, void *ptr=NULL)
void | detachPush (void)
void | attachPop (NexTouchEventCb pop, void *ptr=NULL)
void | detachPop (void)
Public Member Functions inherited from NexObject
| NexObject (uint8_t pid, uint8_t cid, const char *name)
void | printObjInfo (void)

## Additional Inherited Members
Static Public Member Functions inherited from NexTouch
static void | iterate (NexTouch **list, uint8_t pid, uint8_t cid, int32_t event)
Protected Member Functions inherited from NexObject
uint8_t | getObjPid (void)
uint8_t | getObjCid (void)
const char * | getObjName (void)

## Detailed Description

NexNumber component.

## Constructor & Destructor Documentation

NexNumber::NexNumber | ( | uint8_t | pid,
|  | uint8_t | cid,
|  | const char * | name
| ) |  |

Constructor.

Parameters

  pid | - page id.
  cid | - component id.
  name | - pointer to an unique name in range of all components.

## Member Function Documentation

uint32_t NexNumber::Get_background_color_bco | ( | uint32_t * | number | ) |

Get bco attribute of component

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

uint32_t NexNumber::Get_background_crop_picc | ( | uint32_t * | number | ) |

Get picc attribute of component

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

uint32_t NexNumber::Get_background_image_pic | ( | uint32_t * | number | ) |

Get pic attribute of component

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

uint32_t NexNumber::Get_font_color_pco | ( | uint32_t * | number | ) |

Get pco attribute of component

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

uint32_t NexNumber::Get_number_lenth | ( | uint32_t * | number | ) |

Get lenth attribute of component

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

uint32_t NexNumber::Get_place_xcen | ( | uint32_t * | number | ) |

Get xcen attribute of component

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

uint32_t NexNumber::Get_place_ycen | ( | uint32_t * | number | ) |

Get ycen attribute of component

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

uint32_t NexNumber::getFont | ( | uint32_t * | number | ) |

Get font attribute of component

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

bool NexNumber::getValue | ( | uint32_t * | number | ) |

Get number attribute of component.

Parameters

  number | - buffer storing text returned.

Returns
  The real length of text returned.

bool NexNumber::Set_background_color_bco | ( | uint32_t | number | ) |

Set bco attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexNumber::Set_background_crop_picc | ( | uint32_t | number | ) |

Set picc attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexNumber::Set_background_image_pic | ( | uint32_t | number | ) |

Set pic attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexNumber::Set_font_color_pco | ( | uint32_t | number | ) |

Set pco attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexNumber::Set_number_lenth | ( | uint32_t | number | ) |

Set lenth attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexNumber::Set_place_xcen | ( | uint32_t | number | ) |

Set xcen attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexNumber::Set_place_ycen | ( | uint32_t | number | ) |

Set ycen attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexNumber::setFont | ( | uint32_t | number | ) |

Set font attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexNumber::setValue | ( | uint32_t | number | ) |

Set number attribute of component.

Parameters

  number | - number buffer.

Returns
  true if success, false for failure.

The documentation for this class was generated from the following files:

- NexNumber.h
- NexNumber.cpp